Subject: SURVEY: CD-ROM on the Amiga
From: [email-masked]
Date: Thu, 3 Sep 1992 00:15:44 GMT
Newsgroups: comp.sys.amiga.reviews

[Note:  This survey was previously posted in comp.sys.amiga.hardware.
	However, I have received over 40 requests for it by e-mail,
	and AmigaWorld mentioned it in their September 1992 issue
	(page 10), so here it is again.

	It has been updated slightly since the original posting.
	Search for the string "UPDATE" to find the new information.]

	In June 1992, I did a survey of CDROM drives for the Amiga.
Here are the results, which include:

	(1)	Brief statistics on drive and filesystem popularity.
	(2)	Detailed information on each drive.
	(3)	CDROM discs owned.
	(4)	Favorite CDROM discs.
	(5)	Miscellaneous comments.

	Thank you to the 11 people who responded!!  I was going to list
everybody's names, but decided not to do so.  This is because one particular
piece of information might be confidential.  I'll let you find it. :-)

(1)  OVERALL STATISTICS
=======================

	Owners		Make & Model
	----------------------------------------------
	3		Chinon CDX-431 (Xetec bundle)
	3		NEC CDR-80 (DAK special)
	1		Matsushita-Kotobuki CR-501-B
	1		NEC CDR-73M or CDR-83
	1		Toshiba XM-3301S
	1		Toshiba XM-3301BC
	1		Toshiba 3101

	Owners		Filesystem	Author
	------------------------------------------------------------
	7		CDROM-FS	Canadian Prototype Replicas
	4		Xetec		Xetec

(2) DRIVE INFORMATION
=====================

	Here is how to read the information in this section.  Many of the
headings are obvious (Make & model, may be installed vertically, transfer
speed, etc.).

	However, take special note of the section called "Definitely works
with...".  This is a list of REPORTED compatibility with OS versions,
filesystems, SCSI controllers, and particular CDROM's.  Note that it is only
the REPORTED compatibility.  It is NOT complete.  The drive might be
compatible with lots more hardware and software.  So, if you don't see
something listed here, IT MIGHT WORK ANYWAY.  For example, if the drive
"definitely works with" OS 2.04, it MIGHT also work under 1.3, but nobody
reported the information.

	The section called "Does NOT work with..." lists incompatibilities.
These combinations definitely do not work as of June 15, 1992.

				==============

Make & Model:				Chinon CDX-431 (Xetec)
Number of owners responding:		3
Internal/external:			both
May be installed vertically:		no (only 5-degree tilt permitted)
Average transfer speed (KB/sec):	350
Average access time (ms):		150 [see Complaints]
Definitely works with:
	OS versions:			2.04
	CD filesystems:			Xetec, CDROM-FS
	SCSI controllers:		A3000, A2091,
					Microbotics Hardframe
						[see Complaints],
					GVP 22 MHz combination
	CDROM's:			Selectware Demo Disc
					Fred Fish Collection
					Fred Fish Online
					Walnut Creek CDROM's
					Fish & More Volumes I, II
					NASA 25th year
					Space Wars
					The Case of the Condor CDTV
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			Grollier's Encyclopedia
						[see Complaints]
					Women in Motion [see Complaints]
Complaints:
o	PC MAGAZINE found the transfer speed to be around 70 KB/sec, not
	the claimed 150 KB/sec.
o	Hardframe controller "seems to have problems with audio discs.
	This is really a minor problem, and it wouldn't stop me from
	getting a drive if I had the Hardframe."
o	"Grollier's Encyclopedia" locks up with Xetec CDTV emulation.
o	"Women in Motion" works 90% of the time, but screens sometimes
	get garbled.
Comments:
o	Very satisfied.

Make & Model:				Matsushita-Kotobuki CR-501-B
Number of owners responding:		1
Internal/external:			external
May be installed vertically:		?
Average transfer speed (KB/sec):	?
Average access time (ms):		?
Definitely works with:
	OS versions:			2.04
	CD filesystems:			Xetec
	SCSI controllers:		A3000
	CDROM's:			Fish & More Volumes I, II
					Walnut Creek discs
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			All audio discs.
Complaints:
o	Xetec software does not recognize this drive for playing audio discs.
o	Get a lot of recoverable read errors on the A3000, approximately
	1 read error per 150 Kilobytes.  No read errors on the Supra 500XP.
o	"Fish & More Volume 1" doesn't work very well with 2.04 -- icons
	overlap and the program "less" keeps crashing.
	[UPDATE:  The problem is a bug in an early version of "less" which
	does not work on accelerated Amigas.  Early versions of the
	Hypermedia Fish CDROM had the same problem, but replaced "less" with
	a more stable text reader.  Thanks to Blaine Gardner for this
	information.]
Comments:

Make & Model:				NEC CDR-80
Number of owners responding:		3
Internal/external:			internal
May be installed vertically:		yes
Average transfer speed (KB/sec):	150
Average access time (ms):		500
Definitely works with:
	OS versions:			1.3, 2.04
	CD filesystems:			CDROM-FS
	SCSI controllers:		A2091, A3000
	CDROM's:			Fred Fish Collection
					CATS Developer CD
					Lemmings
					Grollier's Encyclopedia
					Microsoft Bookshelf 1991
					Walnut Street CDROM's
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			American Heritage Dictionary, Xiphias
					Grollier's Encyclopedia (under 2.04)
Complaints:
o	Non-standard CD caddies are difficult to locate.
o	CDROM-FS must be mounted before Workbench is loaded (LoadWB) if
	you want the auto-diskchange feature to work.
Comments:
o	Available CHEAP ($230) from DAK, 800-325-0800, part number 5986.
o	Although outdated, this CDROM drive performs well.
o	Satisfied owner.
o	Works on 80386 clone and a Macintosh too.

Make & Model:				NEC CDR 73M and CDR 83
Number of owners responding:		1
Internal/external:			73=external, 83=internal
May be installed vertically:		yes
Average transfer speed (KB/sec):	300
Average access time (ms):		280
Definitely works with:
	OS versions:			2.04
	CD filesystems:			CDROM-FS
	SCSI controllers:		A3000
	CDROM's:			The Font Co. CD Type Library
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			Toten Color Clip Art (a Mac disc)
Complaints:
Comments:
o	CDROM is good.  Amiga support is fair to middling.

Make & Model:				Toshiba XM-3301S
Number of owners responding:		1
Internal/external:			external
May be installed vertically:		yes (and also 45-degree tilt OK)
Average transfer speed (KB/sec):	150
Average access time (ms):		300
Definitely works with:
	OS versions:			2.04
	CD filesystems:			CDROM-FS
	SCSI controllers:		A3000
	CDROM's:			Fred Fish Collection
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			-- none reported --
Complaints:				
o	Some problems with automatic disc detection.  The user is working
	on the problem.
	[UPDATE: perhaps the CDROM needs to be mounted before Workbench
	is loaded.  Thanks to Blaine Gardner for this tip.]
o	There is a "memorial minute" when no CD is in the drive on bootup.
	The user thinks this is a problem of the A3000 scsi.device.
	[UPDATE:  Blaine Gardner has the following addition:
	"I don't quite know what that means. But I have discovered that a
	CDTV-compatible disc (Hypermedia's Fish CD) in the NEC CDR-80 at
	system power-on time will prevent my A3000 from booting. I still
	have the "magic" ROMs and the disk-based Kickstart, and something in
	the CDTV boot code confuses the A3000 and it doesn't load Kickstart.
	What's odd is this ONLY happens when the entire system (one internal
	SCSI drive, three external SCSI drives, A3070, NEC CDR-80) is
	powered up together. A warm or cold boot of the A3000 itself allows
	Kickstart to load. Strange, but since my system stays up 24 hours a
	day, it is not a big problem."]
Comments:				

Make & Model:				Toshiba XM-3301BC
Number of owners responding:		1
Internal/external:			external
May be installed vertically:		yes (both vertical orientations)
Average transfer speed (KB/sec):	150
Average access time (ms):		325
Definitely works with:
	OS versions:			2.04
	CD filesystems:			CDROM-FS
	SCSI controllers:		A3000
	CDROM's:			CATS Developer CD
					Fred Fish Collection
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			Sun's Catalyst CDware Europe
Complaints:
o	The reason the Sun CDROM didn't work is probably due to the UNIX
	filesystem on the disc.
o	CDDA control utility that comes with CDROM-FS is "a little buggy."
Comments:
o	Satisfied owner.

Make & Model:				Toshiba 3101
Number of owners responding:		1
Internal/external:			both
May be installed vertically:		?
Average transfer speed (KB/sec):	?
Average access time (ms):		?
Definitely works with:
	OS versions:			2.04
	CD filesystems:			Xetec
	SCSI controllers:		A2091, ICD ADSCSI 2080
	CDROM's:			VGA Spectrum
					deLorme Street Atlas [see Comments]
					Fred Fish Collection
					BuckMaster HAMCall disc
					Various X-rated discs
					CDTV World Vista Atlas
					CDTV Illustrated Shakespeare
					CDTV Illustrated Bible
Does NOT work with:
	OS versions:			-- none reported --
	CD filesystems:			-- none reported --
	SCSI controllers:		-- none reported --
	CDROM's:			-- none reported --
Complaints:
o	A2091 controller requires a disc in the drive in order to boot.
Comments:
o	"deLorme Street Atlas" is readable but not usable on the Amiga.
o	"Wrote my own" program for playing audio discs.  Will either
	be shareware or inexpensive commercial program.

======================================================================

(3) CDROM's OWNED
=================

	These discs do not necessarily work with all drives and
filesystems.  If someone reported a problem, you will see a star ("*") next
to the NUMBER entry.  Some of these discs don't work because they use
non-standard CD filesystems (UNIX, Mac HFS, etc.) or contain only non-Amiga
programs.

	Be sure to check for incompatibilities by looking at the individual
drive listings above.

NUMBER	TITLE					AUTHOR
---------------------------------------------------------------------
6	Fred Fish Collection			Hypermedia Concepts
2	AB20 archive				Walnut Creek CDROM
2	CATS Developer's CD			Commodore-Amiga
2	Fish & More Volume I			Marty Flickinger
2	Fish & More Volume II			Marty Flickinger
2*	Grollier's Encyclopedia			Grollier's
2	Microsoft Bookshelf 1991		Microsoft
1*	American Heritage Dictionary		Xiphias
1	BuckMaster HAMCall disc
1	The Case of the Condor CDTV
1	CDTV Illustrated Bible
1	CDTV Illustrated Shakespeare
1	CDTV World Vista Atlas
1*	deLorme Street Atlas
1	The Font Co. CD Type Library		The Font Co.
1	Fred Fish Online (lharc'ed Collection)	Hypermedia Concepts
1	Lemmings				Psygnosis
1	NASA 25th Year				Troika Multimedia
1	OS/2 archive (ordered by mistake)	Walnut Creek CDROM
1	Selectware Demo Disk (Vol. 3 No. 3)
1*	Sun's Catalyst CDware Europe
1	Space Wars				Odyssey Software
1	VGA Spectrum
1	Various X-rated picture discs
1*	Toten Color Clip Art
1*	Women In Motion				CDTV Publishing

(4) FAVORITE CDROM TITLE
========================

4	Fred Fish Collection			Hypermedia Concepts
2	AB20 archive				Walnut Creek CDROM
2	(No favorite listed)			--
1	Fish & More				Marty Flickinger
1	The Font Co. CD Type Library		The Font Co.

MISCELLANEOUS COMMENTS
======================

o	"If you have money to burn, get a fast drive like the NEC 73M.  The
	Hitachi has a nice, sealed unit and lens cleaner."

o	"I think Xetec is trying to do a lot to improve the compatibility of
	their software to the cdtv, and include drivers to emulate the
	bookmark, etc."

o	"Having all the Fish stuff on-line is great...I think the Xetec
	stuff is easier to "browse", because they organized it...the
	Hypermedia disk is organized by Fish Disk, and you need to use
	Aquarium or other tool to really browse around..."

o	"I'm interested in ASIM CDFS (p 102, Amigaworld July 1992) since it
	reads Mac HFS discs.  CDROM-FS does not."

o	Some CDROM information may be found in PC World 4/91 and 5/91; PC
	Computing 6/91; PC Magazine October 29 1991.

o	"An article in BYTE" sometime in 1991 talks about a lot of drives.

UPDATE
o	"If you ftp to cdrom.com, you can find lots of CDROM-related
	information."

                                                        Dan

 //////////////////////////////////////\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
| Dan Barrett -- Dept of Computer Science, Lederle Graduate Research Center |
| University of Massachusetts, Amherst, MA  01003  --  [email-masked] |
 \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\/////////////////////////////////////

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   General discussion:	[email-masked]